@kyanny's blog

My life. Opinions are my own.

Entries from 2010-02-16 to 1 day

iPhone を使っていて kCLErrorDomain というエラーが出たら「位置情報の利用を許可」するとなおる (かも)

iPhone アプリの Tweetie 2 を使っていてちょっと困ったことになったが無事解決したのでメモ。投稿時に Gettag (位置情報を付与した Tweet を投稿する機能) をタップすると「位置情報の利用を許可しますか?」のようなダイアログが出る。ここで「許可しない…

gettext と gettext/rails のバージョンによる違い

メモ。Ruby の gettext パッケージは、 1.x 系と 2.x 系で gettext/rails っていうファイルの有無に差があるっぽい。 rails 2.0 とかだと gettext 1.90.0 とかの gettext/rails を同梱してるバージョンじゃないとダメのようで gettext/rails がないよー、と…

version=2.3.5 の rails コマンドでそれより低いバージョンの doc/api を作る

古いバージョンの rails の doc/api が欲しいとき用のやり方。 http://www.oiax.jp/rails/rails2/freeze_gems.html がうまくいかなかった。例として 2.0.2 の doc/api をつくる。 2.0.2 もインストールされてることが前提。 $ rails --version #=> 2.3.5 $ r…